﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using ThinkGeo.Core;

namespace Demo
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            map.MapUnit = GeographyUnit.Meter;
            // Please input your ThinkGeo Cloud Client ID / Client Secret to enable the background map.
            ThinkGeoCloudRasterMapsOverlay thinkGeoCloudMapsOverlay = new ThinkGeoCloudRasterMapsOverlay("BvRsl-73bP_CZ3y-Y0xcRymWnA372QmKAtfM4t00_4E~", "QMTq_9E1fnyXImMPD-c-whzdS7MC8V2PDde6gBJ3dpq8bL_FJQztog~~");
            thinkGeoCloudMapsOverlay.MapType = ThinkGeoCloudRasterMapsMapType.Light;
            thinkGeoCloudMapsOverlay.WrappingMode = WrappingMode.WrapDateline;
            map.Overlays.Add("ThinkGeo Cloud Maps", thinkGeoCloudMapsOverlay);
            map.TrackOverlay = new TrackInteractiveOverlay();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            map.TrackOverlay.TrackMode = TrackMode.Square;
        }

        private void button2_Click(object sender, EventArgs e)
        {
            map.TrackOverlay.TrackShapeLayer.InternalFeatures.Clear();
            map.TrackOverlay.Refresh();
            map.TrackOverlay.TrackMode = TrackMode.None;
        }
    }
}
